//+------------------------------------------------------------------+
//|                                                 Account_Info.mq5 |
//|                        Copyright 2010, MetaQuotes Software Corp. |
//|                                              http://www.mql5.com |
//+------------------------------------------------------------------+
#property copyright "Copyright 2010, MetaQuotes Software Corp."
#property link      "http://www.mql5.com"
#property version   "1.00"
//+------------------------------------------------------------------+
//| Expert tick function                                             |
//+------------------------------------------------------------------+
void OnTick()
  {
   string com="";
//--- Get account currency
   string account_currency=AccountInfoString(ACCOUNT_CURRENCY);

//--- Get values of balance and equity
   double balance=AccountInfoDouble(ACCOUNT_BALANCE);
   double equity=AccountInfoDouble(ACCOUNT_EQUITY);

//--- Write values of balance and equity using text formatting
   string format=StringFormat("Balance = %.2f, Equity = %.2f",balance,equity);
   StringAdd(com,format);
   StringAdd(com,"\r\n");

//--- Get values of margin and profit on account
   double margin=AccountInfoDouble(ACCOUNT_MARGIN);
   double float_profit=AccountInfoDouble(ACCOUNT_PROFIT);

//--- Write values of margin and profit using text formatting
   format=StringFormat("Margin = %.2f %%, Float Profit = %.2f ",margin,float_profit);
   StringAdd(com,format);
   StringAdd(com,"\r\n");

//--- Get values of free margin and write them using text formatting
   double free_margin=AccountInfoDouble(ACCOUNT_FREEMARGIN);
   format=StringFormat("Free Margin = %G ",free_margin);
   StringAdd(com,format);
   StringAdd(com,"\r\n");

//--- Add account currency name to the com string
   StringAdd(com,"Account Currency: "+account_currency);
   StringAdd(com,"\r\n");

//--- Stop Out level
   double stopout_level=AccountInfoDouble(ACCOUNT_MARGIN_SO_SO);

//--- Stop Out mode
   ENUM_ACCOUNT_STOPOUT_MODE so_mode=(ENUM_ACCOUNT_STOPOUT_MODE)AccountInfoInteger(ACCOUNT_MARGIN_SO_MODE);
   if(so_mode==ACCOUNT_STOPOUT_MODE_PERCENT)
      StringAdd(com,"Stop Out level in percents: "+StringFormat("%.2f%%",stopout_level));
   else
      StringAdd(com,"Stop Out level in currency: "
                +StringFormat("%.2f %s",stopout_level,account_currency));
   StringAdd(com,"\r\n");

//--- Get equity level to keep margin
   double margin_level=AccountInfoDouble(ACCOUNT_MARGIN_LEVEL);
   StringAdd(com,StringFormat("Account margin level =  %.2f%%",margin_level));
   StringAdd(com,"\r\n");

//--- Additional carriage return in comment
   StringAdd(com,"\r\n");

//--- Get value of leverage
   int leverage=(int)AccountInfoInteger(ACCOUNT_LEVERAGE);
   StringAdd(com,StringFormat("Leverage: 1/%d",leverage));
   StringAdd(com,"\r\n");

//--- Account number 
   long login=AccountInfoInteger(ACCOUNT_LOGIN);

//--- Account type
   ENUM_ACCOUNT_TRADE_MODE mode=(ENUM_ACCOUNT_TRADE_MODE)AccountInfoInteger(ACCOUNT_TRADE_MODE);
   StringAdd(com,StringFormat("Account # %d ",login));
   switch(mode)
     {
      case ACCOUNT_TRADE_MODE_DEMO:    StringAdd(com," demo");       break;
      case ACCOUNT_TRADE_MODE_CONTEST: StringAdd(com," contest"); break;
      case ACCOUNT_TRADE_MODE_REAL:    StringAdd(com," real");   break;
      default:                         StringAdd(com," unknown type");
     }
   StringAdd(com,"\r\n");

//--- Check, if trade is allowed on account
   bool trade_allowed=(bool)AccountInfoInteger(ACCOUNT_TRADE_ALLOWED);
   if(trade_allowed)
      StringAdd(com,"Trade allowed");
   else
      StringAdd(com,"Trade is not allowed");
   StringAdd(com,"\r\n");

//--- Check if experts are allowed to trade
   if(trade_allowed)
     {
      bool trade_expert=(bool)AccountInfoInteger(ACCOUNT_TRADE_EXPERT);
      if(trade_expert)
         StringAdd(com,"Experts are allowed to trade");
      else
         StringAdd(com,"Experts are not allowed to trade");
      StringAdd(com,"\r\n");
     }
//--- Print the com string on the chart
   Comment(com);
  }
//+------------------------------------------------------------------+
